//
//  AppController.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
// modified by Dustin O'Connor 2010

#import "AppController.h"
#import <OpenGL/CGLMacro.h>

@implementation AppController

- (void) applicationWillFinishLaunching:(NSNotification*)notification
{
	NSScreen *screen = [[NSScreen screens] lastObject];
	NSRect winFrame = [screen frame];
	[visWindow setFrame: winFrame display: YES animate: YES];
	

	[visWindow setHasShadow:YES];
	[visWindow setAlphaValue:1.0];
	[visWindow setBackgroundColor:[NSColor clearColor]];
	[visWindow setOpaque:YES];
	[visWindow setLevel: kCGFloatingWindowLevel];
	
	[visView loadCompositionFromFile:
	 [[NSBundle mainBundle] pathForResource:@"mouselogic" ofType:@"qtz"]];
		[visView startRendering];
	
	// hide the cursor
	
	CGDisplayHideCursor (kCGFloatingWindowLevel+1);
	//CGDisplayHideCursor (kCGDirectMainDisplay);
}

@end
